# Querying Subnet Tags in a Specified Project

#### Function

This API is used to query all subnet tags of a tenant in a specified region.

#### URI

GET /v2.0/{project_id}/subnets/tags

Table 1 describes the parameters.

Table 1 Parameter description
Name | Mandatory | Description
--- | --- | ---
project_id | Yes | Specifies the project ID.

#### Request Message

Request parameter

None

Example request

    GET https://{Endpoint}/v2.0/{project_id}/subnets/tags

#### Response Message

Response parameter

Table 2 Response parameter
Parameter | Type | Description
--- | --- | ---
tags | Array of tag objects | Specifies the tag object list. For details, see Table 3.

Table 3 Description of the tag field
Name | Type | Description
--- | --- | ---

key

String

Specifies the tag key.

- Cannot be left blank.
- Can contain a maximum of 36 characters.
- Can contain only the following character types:
  - Uppercase letters
  - Lowercase letters
  - Digits
  - Special characters, including hyphens (-) and underscores (_)

values

Array of strings

Specifies the tag value list.

- Can contain a maximum of 43 characters.
- Can contain only the following character types:
  - Uppercase letters
  - Lowercase letters
  - Digits
  - Special characters, including hyphens (-) and underscores (_)

Example response

    {
        "tags": [
            {
                "key": "key1",
                "values": [
                    "value1",
                    "value2"
                ]
            },
            {
                "key": "key2",
                "values": [
                    "value1",
                    "value2"
                ]
            }
        ]
    }

#### Status Code

See Status Codes.

#### Error Code

See Error Codes.

Parent topic: Subnet Tag Management